Bug 465566 - Anaconda does not respect selection of swedish keyboard layout
Anaconda does not respect selection of swedish keyboard layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 17:11 EDT by Jonas Nyman
Modified: 2010-12-05 02:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:07:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Nyman 2008-10-03 17:11:53 EDT
Description of problem:
Tried to install but ran into a bug. Wanted to send copy exception traceback message to bugzilla but could not type "@" because anaconda assumes my keyboard is English, despite my selection of swedish layout.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Choose swedish keyboard layout
2. Try to type any of these: "@£$€¥{[]}~±¶
3.
  
Actual results:
234567890abcde and similar... 

Expected results:
@£$€¥{[]}\ :-)

Additional info:
Have no idea if it affects other keyboard layouts... Please try
Comment 1 Jonas Nyman 2008-10-04 14:45:48 EDT
Please include a testing mechanism for the keyboard. You can go through the entire install process with a misconfigured keyboard and you will only notice it at firstboot and you realize you don't know the root passwd!
Comment 2 Chris Lumens 2008-10-06 13:02:48 EDT
What keyboard layout are you expecting?  The one we're using is sv-latin1 which at least in my quick test is certainly no English layout.
Comment 3 Jonas Nyman 2008-10-06 17:14:02 EDT
Nono, I have a swedish keyboard. I was trying to install and chose swedish layout, but anaconda ignores my selection and goes on with the default layout (or possibly some entirely different).
Since the default US(?) layout is similar to the swedish (and most other latin letter languages) I can continue the install without realizing anything is wrong.
The user will only find out if the install crashes and you want to send a traceback or error message to bugzilla using the new upload error message to bugzilla feature. 

That's what I was trying to do. So I needed to write my e-mail address and realized it was impossible to write an "@". (And any of the £$€¥{[]ÅÄÖ signs)

This is no big problem unless one is using one of these signs in the root password. If one does it will be very tricky to guess how to type it in again once the correct keyboard layout is used. 

This is the reason why I proposed a keyboard test - just an empty space where I can write a few letters and see that typing works the way I expect. 

An other possibility is that when anaconda crashes and the upload traceback to bugzilla thing comes up... is it possible that anaconda at that point falls back on the default keyboard?
Comment 4 Corentin Perard-Gayot 2008-10-08 06:47:58 EDT
> Additional info:
> Have no idea if it affects other keyboard layouts... Please try

Same with french keyboard. I chose French keyboard with anaconda installer (F10 beta medium), and despite my selection, default keyboard was USA in gdm (and firstboot sequence, where you create users) at first boot.
Comment 5 Andy Lindeberg 2008-10-08 16:11:42 EDT
At the moment, the best workaround is to use the text box provided in the hostname screen to test whether your keyboard layout has been set properly.

Jonas and Corentin, could you tell us what is in your /etc/sysconfig please?
Comment 6 Corentin Perard-Gayot 2008-10-09 07:06:32 EDT
(In reply to comment #5)
> At the moment, the best workaround is to use the text box provided in the
> hostname screen to test whether your keyboard layout has been set properly.
> 
> Jonas and Corentin, could you tell us what is in your /etc/sysconfig please?

yes of course. ls -l /etc/sysconfig :

-rw-r--r-- 1 root root  403 sept. 17 10:55 atd
-rw-r----- 1 root root  514 sept. 17 22:53 auditd
-rw-r--r-- 1 root root  290 oct.  6 14:53 authconfig
-rw-r--r-- 1 root root  233 oct.  6 19:58 bluetooth
drwxr-xr-x 2 root root 4096 sept. 26 00:39 cbq
-rw-r--r-- 1 root root  158 oct.  6 15:33 clock
drwxr-xr-x 2 root root 4096 sept. 30 21:13 console
-rw-r--r-- 1 root root 2651 sept. 26 23:29 cpuspeed
-rw-r--r-- 1 root root  512 sept. 25 14:51 crond
-rw-r--r-- 1 root root  346 août 30  2007 crontab
-rw-r--r-- 1 root root   20 août 13 16:43 exim
-rw-r--r-- 1 root root   17 oct.  6 15:34 firstboot
-rw-r--r-- 1 root root   25 oct.  6 14:53 grub
-rw-r--r-- 1 root root   37 oct.  6 15:32 hw-uuid
-rw-r--r-- 1 root root   47 oct.  6 14:53 i18n
-rw-r--r-- 1 root root 1029 sept. 30 21:13 init
-rw------- 1 root root  481 oct.  6 14:53 ip6tables
-rw------- 1 root root 1753 juil. 23 11:05 ip6tables-config
-rw------- 1 root root  476 oct.  6 14:53 iptables
-rw------- 1 root root 1740 juil. 23 11:05 iptables-config
-rw-r--r-- 1 root root   58 juil. 31 23:27 irda
-rw-r--r-- 1 root root  648 août  1 17:55 irqbalance
-rw-r--r-- 1 root root  180 oct.  8 15:00 kernel
-rw-r--r-- 1 root root   32 oct.  6 14:53 keyboard
drwxr-xr-x 2 root root 4096 sept. 30 21:13 modules
-rw-r--r-- 1 root root  634 sept. 30 21:13 netconsole
-rw-r--r-- 1 root root   38 oct.  6 14:53 network
drwxr-xr-x 4 root root 4096 sept. 30 21:13 networking
drwxr-xr-x 2 root root 4096 oct.  6 17:40 network-scripts
-rw-r--r-- 1 root root 1529 août 28 20:12 nfs
-rw-r--r-- 1 root root  613 oct.  6 23:39 nspluginwrapper
-rw-r--r-- 1 root root   85 févr. 29  2008 ntpd
-rw-r--r-- 1 root root  119 févr. 29  2008 ntpdate
-rw-r--r-- 1 root root 1459 nov. 23  2004 prelink
-rw-r--r-- 1 root root  659 sept. 30 21:13 readonly-root
-rw-r--r-- 1 root root  161 juil. 11 13:37 rsyslog
-rw-r--r-- 1 root root  111 sept. 24 18:17 samba
lrwxrwxrwx 1 root root   17 sept. 26 00:42 selinux -> ../selinux/config
-rw-r--r-- 1 root root  125 août 11 08:08 smartmontools
-rw------- 1 root root   73 oct.  6 14:53 system-config-firewall
-rw-r--r-- 1 root root   76 oct.  6 14:53 system-config-securitylevel
-rw-r--r-- 1 root root  304 mai  8 11:21 system-config-users
-rw-r--r-- 1 root root  330 sept.  2 15:33 udev
-rw-r--r-- 1 root root  372 août 27 23:25 wpa_supplicant

cat /etc/sysconfig/keyboard :

KEYBOARDTYPE="pc"
KEYTABLE="fr"

cat /etc/sysconfig/i18n :

LANG="fr_FR.UTF-8"
SYSFONT="latarcyrheb-sun16"
Comment 7 Matti Lehti 2008-10-18 01:16:33 EDT
I noticed the same problem with either Finnish or Finnish (latin-1) keyboard layouts selected. 
The scandinavian characters äåö are working for me, but the problem comes with @£$... , which requires AltGr+key. Does this mean that system is actually using correct keymap.

I do not know if this is related to the problem, but in VT5 output I see a message like this:
The XKEYBOARD keymap compiler (xkbcomp) reports:
>Warning: Type "ONE LEVEL" has 1 levels, but <RALT> has 2 symbols
>         Ignoring extra symbols
Comment 8 Bug Zapper 2008-11-25 22:32:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 TK009 2008-12-02 22:19:04 EST
This bug has been triaged.
Comment 10 Chris Lumens 2009-02-09 16:26:47 EST
If this is still a problem with F11 Beta, it's likely to need someone with the specific keyboard hardware to fix.  These bugs are always difficult for us to deal with since we only use US keyboards and layouts and don't know what to expect from trying others out.  Please give the next test release a try and see how well it works for you.  Thanks.
Comment 11 Morgan Olausson 2009-04-29 16:19:23 EDT
I have this bug on my computer (chip i810) with a Swedish keyboard.

During install i chose Language "English" and keyboard "Swedish" but the keyboard uses "US" layout. It stays like that until I change it in the system->preferences->keyboard program where I add swedish and deletes US layout.
Then it works fine. But 

My guess is that Gnome (or something) takes control over the keyboard, but does not automatically get the info provided during installation.
Comment 12 Morgan Olausson 2009-04-29 16:22:31 EDT
(In reply to comment #11)
> I have this bug on my computer (chip i810) with a Swedish keyboard.
> 
> During install i chose Language "English" and keyboard "Swedish" but the
> keyboard uses "US" layout. It stays like that until I change it in the
> system->preferences->keyboard program where I add swedish and deletes US
> layout.
> Then it works fine. But 
> 
> My guess is that Gnome (or something) takes control over the keyboard, but does
> not automatically get the info provided during installation.  

Forgot to say this is fedora_11_live_preview installed to harddisc.
Comment 13 Davide Cescato 2009-05-01 06:36:52 EDT
I ran into this bug when installing Fedora-11-Preview-x64_64-DVD from hard drive following the instructions in http://bobpeers.com/linux/hard_drive_install.php

At the very beginning of the installation (when still in text mode) I selected the Swiss French keyboard.

Only at the moment of specifying the location of the ISO image for installation, I tried typing the path into the corresponding text box, and was unable to type the '/' character. Then, I realized that the "active" keyboard layout was still US.

If I remember correctly, the installer on some of the latest versions of RedHat Linux used to have a text box labelled "Test your selection here: " (or something similar) just under the keyboard selection. It allowed you to write bogus text and verify that the active layout was really the one that was selected. This text box was extremely useful and should really be reintroduced. Even after dozens of installations of Red Hat Linux and Fedora versions, I keep confusing between the Swiss French and Swiss French (latin1) layouts, and feel the need to test my selection every time. Therefore, I second the request in comment #1.

Content of my /etc/sysconfig/keyboard:
KEYBOARDTYPE="pc"
KEYTABLE="fr_CH"
LAYOUT="ch"
MODEL="pc105"
OPTIONS=""
VARIANT="fr"
Comment 14 Erik P. Olsen 2009-05-06 18:13:30 EDT
Same issue on Fedora 11 Preview with Danish keyboard.
Comment 15 Bug Zapper 2009-11-16 04:28:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-11-04 07:46:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-05 02:07:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.